import 'package:args/command_runner.dart';
import 'package:dshell/dshell.dart';

import 'util.dart';

class CliCommand extends Command<void> {
  @override
  String get description =>
      'Starts a bash shell allowing you to interact with the container.';

  @override
  String get name => 'cli';

  CliCommand() {
    argParser.addOption('name',
        abbr: 'n', help: 'The name of the docker container to attach to');
    argParser.addOption('containerid',
        abbr: 'c',
        help:
            'The docker containerid to attach to in the form --containerid="XXXXX"');
  }

  @override
  void run() {
    print('cli command running');

    var target = containerOrName(argParser, argResults);

    'docker exec -it $target /bin/bash'.run;
  }
}
