import 'package:args/command_runner.dart';
import 'package:dshell/dshell.dart';

import 'util.dart';

class StopCommand extends Command<void> {
  @override
  String get description => 'Stops the Nginx-LE container';

  @override
  String get name => 'stop';

  StopCommand() {
    argParser.addOption('containerid',
        abbr: 'c',
        help:
            'The docker containerid to attach to in the form --containerid="XXXXX"');
    argParser.addOption('name',
        abbr: 'n', help: 'The name of the docker container to attach to');
    argParser.addFlag('debug',
        abbr: 'd', help: 'Outputs additional logging information');
  }

  @override
  void run() {
    print('stop command running');

    var target = containerOrName(argParser, argResults);

    print('stopping...');
    'docker stop $target'.run;
  }
}
